For the complete documentation index, see llms.txt. This page is also available as Markdown.

getindexinfo

Returns the status of one or all available indices currently running in the node.

This method will use 10 Compute Units.


Reference: Here

Parameters

index_name - string, optional

Filter results for an index with a specific name.

Returns

{                               (json object)
  "name" : {                    (json object) The name of the index
    "synced" : true|false,      (boolean) Whether the index is synced or not
    "best_block_height" : n     (numeric) The block height to which the index is synced
  }
}
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
 -X POST \
 -H "Content-Type: application/json" \
 -d '{
	"jsonrpc": "1.0",
	"id": "curltest",
	"method": "getindexinfo",
	"params": []
}'
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
 -X POST \
 -H "Content-Type: application/json" \
 -d '{
	"jsonrpc": "1.0",
	"id": "curltest",
	"method": "getindexinfo",
	"params": []
}'

Last updated

Was this helpful?